<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage ASIA_GARDEN
 * @since ASIA_GARDEN 1.0
 */

asia_garden_storage_set('blog_archive', true);

// Load scripts for 'Masonry' layout
if (substr(asia_garden_get_theme_option('blog_style'), 0, 7) == 'masonry') {
	wp_enqueue_script( 'imagesloaded' );
	wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'classie', asia_garden_get_file_url('js/theme.gallery/classie.min.js'), array(), null, true );
	wp_enqueue_script( 'asia_garden-gallery-script', asia_garden_get_file_url('js/theme.gallery/theme.gallery.js'), array(), null, true );
}

get_header(); 

if (have_posts()) {

	asia_garden_show_layout(get_query_var('blog_archive_start'));

	$asia_garden_classes = 'posts_container '
						. (substr(asia_garden_get_theme_option('blog_style'), 0, 7) == 'classic' ? 'columns_wrap columns_padding_bottom' : 'masonry_wrap');
	$asia_garden_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$asia_garden_sticky_out = asia_garden_get_theme_option('sticky_style')=='columns' 
							&& is_array($asia_garden_stickies) && count($asia_garden_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($asia_garden_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$asia_garden_sticky_out) {
		if (asia_garden_get_theme_option('first_post_large') && !is_paged() && !in_array(asia_garden_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($asia_garden_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($asia_garden_sticky_out && !is_sticky()) {
			$asia_garden_sticky_out = false;
			?></div><div class="<?php echo esc_attr($asia_garden_classes); ?>"><?php
		}
		get_template_part( 'content', $asia_garden_sticky_out && is_sticky() ? 'sticky' : 'classic' );
	}
	
	?></div><?php

	asia_garden_show_pagination();

	asia_garden_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>